local cluster = ui.MediaPlayer()
cluster:setSource('./assets/0702.mp4'):setAutoPlay(true):setUpdatePeriod(0.001):setLooping(true)


local clustervideosize
local clusterposition = vec2(0,0)

function update(dt)

    
    if car.rpm > -1000 and car.rpm<80000 then
	clustervideosize = cluster:resolution()
		clustervideosize.x = clustervideosize.x*5
		clustervideosize.y = clustervideosize.y*5
		
        ui.drawImage(cluster, clusterposition, vec2(clusterposition.x+clustervideosize.x, clusterposition.y+clustervideosize.y))
    end
      

end